DigiScope System Requirements

NOTE: If you require assistance with locating required Exchange or Outlook DLL's, Installation, Configuration or other actions please check out the Lucid8 Knowledge Base for DigiScope.  If you cannot find the answer Open a New Support Ticket and our team will be happy to assist via email, phone or remote desktop assistance

NOTE: While DigiScope can be installed directly on the Exchange server it is OPTIONAL to do so, i.e. you can install DigiScope on any machine that meets the system requirements

To effectively use DigiScope®, the following system requirements must be met:

Windows Installer 3.1 or Greater
Microsoft .NET Framework
Microsoft Outlook

DigiScope® uses the native Microsoft Messaging Application Program Interface (MAPI) to communicate with Production/Online Exchange servers, ensuring reliable and consistent operation of your server.  Therefore the DigiScope® machine requires:

OR

Opening Attachments

In order to open any attachments found or extracted with DigiScope®, the native application or a compatible application for that attachment type must be installed and operational.

For example, an attachment of type ".XLS" would require Microsoft Excel, whereas a ".PDF" attachment may require Adobe Acrobat Reader or a similar PDF reader application.

Operating System

DigiScope® is supported on the following operating systems:

NOTE: While DigiScope can be installed directly on the Exchange server it is OPTIONAL to do so, i.e. you can install DigiScope on any machine that meets the system requirements

Network Discovery and File Sharing

The machine DigiScope® is installed on requires Network Discovery and File Sharing be enabled and the Computer Browser service started in order to provide domain scanning services. For additional information on this issue please see the Domain Browse Warning section.

Microsoft Exchange Server
Offline Databases

DigiScope® can access Offline Database versions of Microsoft Exchange:

To work with offline Exchange database (EDB) files, DigiScope® requires that you have one-time access to an active Exchange server of the same version for initial setup.

NOTE: If you require assistance with locating required Exchange or Outlook DLL's, Installation, Configuration or other actions please check out the Lucid8 Knowledge Base for DigiScope.  If you cannot find the answer Open a New Support Ticket and our team will be happy to assist via email, phone or remote desktop assistance

NOTE: To open 64-bit Offline Exchange 2007, 2010, 2013 or 2016 databases, you must install DigiScope® on a 64-bit operating system.

Production Databases

DigiScope® can access online production Exchange servers for the following versions of Microsoft Exchange (provided they are installed and operational):

Exchange Production Servers Supported by Each Version of Outlook

To access Production Exchange servers running different versions of Exchange, DigiScope® will need MAPI files from different versions of Outlook.  The supported combinations of Exchange and Outlook are listed here:

Security

For security information, refer to Rights Required to Install & Operate DigiScope®.

Memory and Disk Space

NOTE: Additional disk space will be needed for processing database files (EDB, STM, and Log files)

Processor
Screen Resolution

Continue to End-User License Agreement (EULA)